Subject: Losing weight has never been so easy with Acai Berry Diet.

From: [email-masked]
Date: Tue, 7 Jul 2009 15:21:29 -0300

Try your free trial now of Acai Flush! Visit everyone http://aingfdzo.cn

best regards Katlynn Mccord